"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ts_lib_scripts_utils_1 = require("ts-lib-scripts-utils");
var child_process_1 = require("child_process");
var fs_extra_1 = require("fs-extra");
var path_1 = require("path");
var paths_1 = require("../config/paths");
/**
 * 初始化Git仓库
 */
function initGitRepository() {
    var didInit = false;
    try {
        if (ts_lib_scripts_utils_1.isGitInstalled() && !ts_lib_scripts_utils_1.isInGitRepository()) {
            child_process_1.execSync('git init');
            didInit = true;
            child_process_1.execSync('git add -A', { stdio: 'ignore' });
            child_process_1.execSync('git commit -m "Initial commit from ts-lib-scripts"', {
                stdio: 'ignore',
            });
            return true;
        }
        return false;
    }
    catch (e) {
        if (didInit) {
            try {
                fs_extra_1.removeSync(path_1.join(paths_1.rootPath, '.git'));
            }
            catch (removeErr) {
                // 忽略
            }
        }
        throw e;
    }
}
exports.default = initGitRepository;
//# sourceMappingURL=initGitRepository.js.map